import React from 'react'

class PhoneList extends React.Component {
  render () {
    const filtered = this.props.filtered
    const players = this.props.players

    const phoneList = []
    filtered.forEach((match, key) => {
        const player = players.find(player => 
            (player.name === match.Spieler1) && (player.Konkurrenz === match.Konkurrenz)
        )
        if (!player) {
            console.log('PhoneList: Player not found!', player, key, match)
        } else {
            if (!phoneList.includes(player.phone)) {
                phoneList.push(player.phone)
            }
        }
        const player2 = players.find(player => 
            (player.name === match.Spieler2) && (player.Konkurrenz === match.Konkurrenz)
        )
        if (!player2) {
            console.log('PhoneList: Player not found!', player2, key, match)
        } else {
            if (!phoneList.includes(player2.phone)) {
                phoneList.push(player2.phone)
            }
        }
    })

    return (
      <div>
        <h2>Telefonnummern</h2>
        <p>{phoneList.join('; ')}</p>
      </div>
    )
  }
}

export default PhoneList
