import React from 'react'

class EmailList extends React.Component {
  render () {
    const filtered = this.props.filtered
    const players = this.props.players

    const emailList = []
    filtered.forEach((match, key) => {
      const player = players.find(player => 
        (player.name === match.Spieler1) && (player.Konkurrenz === match.Konkurrenz)
      )
      if (!player) {
        console.log('EmailList: Player not found!', player, key, match)
      } else {
        if (!emailList.includes(player.Email)) {
          emailList.push(player.Email)
        }
      }
      const player2 = players.find(player => 
        (player.name === match.Spieler2) && (player.Konkurrenz === match.Konkurrenz)
      )
      if (!player2) {
        console.log('EmailList: Player not found!', player2, key, match)
      } else {
        if (!emailList.includes(player2.Email)) {
          emailList.push(player2.Email)
        }
      }
    })

    return (
      <div>
        <h2>Email Adressen</h2>
        <p>{emailList.join('; ')}</p>
      </div>
    )
  }
}

export default EmailList
